using RobotNet.WebApp.Charts.Models.Common.Dataset;
using System.Text.Json.Serialization;

namespace RobotNet.WebApp.Charts.Models.BubbleChart;

public class BubbleChartDataset : ChartDataset<BubblePoint>
{
    public bool DrawActiveElementsOnTop { get; set; } = true;

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public int? HoverRadius { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public int? HitRadius { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public int? Radius { get; set; }
}
